---
title: Document.preferredStyleSheetSet
slug: Web/API/Document/preferredStyleSheetSet
tags:
  - API
  - CSSOM
  - DOM
  - Document
  - Property
  - Reference
  - Stylesheets
---
<div>{{APIRef("DOM")}}{{gecko_minversion_header("1.9")}}{{Obsolete_header}}</div>

<p>The <strong><code>preferredStyleSheetSet</code></strong> property <span class="seosummary">returns the preferred style sheet set as set by the page author.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>preferredStyleSheetSet</var> = document.preferredStyleSheetSet
</pre>

<p>On return, <code>preferredStyleSheetSet</code> indicates the author's preferred style sheet set. This is determined from the order of style sheet declarations and the <code>Default-Style</code> HTTP header.</p>

<p>If there isn't a preferred style sheet set defined by the author, the empty string (<code>""</code>) is returned.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">if (document.preferredStyleSheetSet) {
  console.log("The preferred style sheet set is: " + document.preferredStyleSheetSet);
} else {
  console.log("There is no preferred style sheet.");
}
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.preferredStyleSheetSet")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("document.lastStyleSheetSet")}}</li>
 <li>{{domxref("document.selectedStyleSheetSet")}}</li>
 <li>{{domxref("document.styleSheetSets")}}</li>
 <li>{{domxref("document.enableStyleSheetsForSet()")}}</li>
</ul>
